Bug 100228 - [MAINTAINER PATCH] cad/geda: fix installdirs, add options
Summary: [MAINTAINER PATCH] cad/geda: fix installdirs, add options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-13 19:20 UTC by Stanislav Sedov
Modified: 2006-07-16 05:06 UTC (History)
0 users

See Also:


Attachments
geda-20060123_1.patch (1.06 KB, patch)
2006-07-13 19:20 UTC, Stanislav Sedov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Sedov 2006-07-13 19:20:31 UTC
 - Fix installdirs to address geda directory structure unification
 - add options to select docs/examples

Note: this also depends on geda-symbols PR
Comment 1 Rong-En Fan freebsd_committer 2006-07-13 21:00:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 2 Stanislav Sedov 2006-07-14 19:29:33 UTC
Updated diff that takes into account repocopy changes.
--------------------------------------------------------
diff -ruN --exclude=CVS /tmp/ports/cad/geda/Makefile geda/Makefile
--- /tmp/ports/cad/geda/Makefile	Wed Jun 28 11:51:26 2006
+++ geda/Makefile	Fri Jul 14 22:22:22 2006
@@ -7,6 +7,7 @@
 
 PORTNAME=	geda
 PORTVERSION=	20060123
+PORTREVISION=	1
 CATEGORIES=	cad
 MASTER_SITES=	# empty
 DISTFILES=	# none
@@ -15,15 +16,26 @@
 MAINTAINER=	ssedov@mbsd.msk.ru
 COMMENT=	The "meta-port" for gEDA
 
-RUN_DEPENDS=
${LOCALBASE}/share/gEDA/sym:${PORTSDIR}/cad/geda-symbols \
-		gschem:${PORTSDIR}/cad/gschem \
-		gnetlist:${PORTSDIR}/cad/gnetlist \
+RUN_DEPENDS=	${DATADIR}/sym:${PORTSDIR}/cad/geda-symbols \
+		gschem:${PORTSDIR}/cad/geda-gschem \
+		gnetlist:${PORTSDIR}/cad/geda-netlist \
 		gmk_sym:${PORTSDIR}/cad/geda-utils \
 		gsymcheck:${PORTSDIR}/cad/geda-symcheck \
 		gattrib:${PORTSDIR}/cad/geda-gattrib \
 		geda:${PORTSDIR}/cad/geda-projectmanager
 
 NO_BUILD=	yes
+
+OPTIONS=	EXAMPLES	"Install gEDA's examples"	on \
+		DOCS		"Install gEDA's
documentation"	on
+
+.if !defined(WITHOUT_EXAMPLES)
+RUN_DEPENDS+=
${EXAMPLESDIR}/README:${PORTSDIR}/cad/geda-examples
+.endif
+
+.if !defined(WITHOUT_DOCS)
+RUN_DEPENDS+=
${DOCSDIR}/attributes/index.html:${PORTSDIR}/cad/geda-docs
+.endif
 
 do-install:	# empty
 
--------------------------------------------------------
Comment 3 Rong-En Fan freebsd_committer 2006-07-16 05:06:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!